<?php
namespace app\common\payment;

use app\common\payment\Ipayment;

class Payment
{
    private $paymentGateway;

    public function __construct(Ipayment $paymentGateway){
        $this->paymentGateway = $paymentGateway;
    }

    public function process($order){
        $this->paymentGateway->pay($order);
    }
}